<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="BTS-CLI.xsl"/>

<xsl:template match="CLI">
  <xsl:choose>
  <xsl:when test="$component='all'">
    <xsl:if test="$category='all'">
      <xsl:apply-templates select="NOUN[@category!='InternalOnly']">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
    <xsl:if test="not($category='all')">
      <xsl:apply-templates select="NOUN[@category=$category]">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
  </xsl:when>
  <xsl:when test="$component='delta'">
    <xsl:if test="$category='all'">
      <xsl:apply-templates select="NOUN[@category!='InternalOnly' and @status!='']">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
    <xsl:if test="not($category='all')">
      <xsl:apply-templates select="NOUN[@status!='' and @category=$category]">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
  </xsl:when>
  <xsl:otherwise>
    <xsl:apply-templates select="NOUN[@name=$component]"/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="table-change-history">
</xsl:template>

<xsl:template name="change-history">
</xsl:template>

</xsl:stylesheet>

